blockreq_listEndpoints
Description
Section titled “Description”Returns all endpoints associated with your account, including API keys, URLs, usage statistics, and status.
Parameters
Section titled “Parameters”None
Returns
Section titled “Returns”| Field | Type | Description |
|---|---|---|
total | integer | Total number of endpoints |
endpoints | array | List of endpoints |
endpoints[].endpointId | string | Unique endpoint identifier |
endpoints[].name | string | Endpoint name |
endpoints[].chain | string | Network slug (e.g., ethereum) |
endpoints[].status | string | active or inactive |
endpoints[].apiKey | string | API key for this endpoint |
endpoints[].httpsUrl | string | HTTPS endpoint URL |
endpoints[].wssUrl | string | WebSocket endpoint URL |
endpoints[].requestCount | integer | Total requests made |
endpoints[].ruConsumed | integer | Total RU consumed |
endpoints[].createdAt | integer | Unix timestamp of creation |
Request Example
Section titled “Request Example”{ "jsonrpc": "2.0", "method": "blockreq_listEndpoints", "params": [], "id": 1}Response Example
Section titled “Response Example”{ "jsonrpc": "2.0", "id": 1, "result": { "total": 2, "endpoints": [ { "endpointId": "abc-123", "name": "ethereum-endpoint-abc", "chain": "ethereum", "status": "active", "apiKey": "a1b2c3d4e5f6...", "httpsUrl": "https://eth-mainnet.blockreq.com/v1/rpc/a1b2c3d4e5f6...", "wssUrl": "wss://eth-mainnet.blockreq.com/v1/rpc/a1b2c3d4e5f6...", "requestCount": 15000, "ruConsumed": 450000, "createdAt": 1708300800 } ] }}Code Examples
Section titled “Code Examples”curl -X POST https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"blockreq_listEndpoints","params":[],"id":1}'const response = await fetch('https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY', { method: 'POST', headers: { 'Content-Type': 'application/json' }, body: JSON.stringify({ jsonrpc: '2.0', method: 'blockreq_listEndpoints', params: [], id: 1, }),});const data = await response.json();console.log(`Total endpoints: ${data.result.total}`);